Represents a page of hierarchical values.

### Type parameters

- TNode
- T: TNode

### Hierarchy

- Page<T>
- HierarchyIterable<TNode, T>
  - HierarchyPage

### Implemented by

- HierarchyPageImpl

## Index

### Properties

- [Page.offset]
- [Page.page]
- offset
- page

### Methods

- [Hierarchical.hierarchy]
- [Symbol.iterator]
- [Symbol.iterator]

## Properties

### [Page.offset]

[Page.offset]: number

Inherited from Page.[Page.offset]

- Defined in types.ts:134

The element offset from the start of the source iterable.

### [Page.page]

[Page.page]: number

Inherited from Page.[Page.page]

- Defined in types.ts:129

The page offset from the start of the source iterable.

### offset

offset: unique symbol = Symbol("Page.offset")

Inherited from Page.offset

- Defined in types.ts:124
- Defined in types.ts:139

The element offset from the start of the source iterable.

NOTE: This is a convenience alias for [Page.offset] and should return the same value.

### page

page: unique symbol = Symbol("Page.page")

Inherited from Page.page

- Defined in types.ts:117
- Defined in types.ts:138

The page offset from the start of the source iterable.

NOTE: This is a convenience alias for [Page.page] and should return the same value.

## Methods

### [Hierarchical.hierarchy]

- [Hierarchical.hierarchy](): HierarchyProvider<TNode>

- Inherited from Hierarchical.[Hierarchical.hierarchy]

  - Defined in types.ts:57

  Gets an object that provides hierarchical relationships.

  #### Returns HierarchyProvider<TNode>

### [Symbol.iterator]

- [Symbol.iterator](): Iterator<T>

- Inherited from Iterable.[Symbol.iterator]

  - Defined in C:/dev/iterable-query/node_modules/typescript/lib/lib.es2015.iterable.d.ts:43

  #### Returns Iterator<T>

### [Symbol.iterator]

- [Symbol.iterator](): Iterator<T>

- Inherited from Iterable.[Symbol.iterator]

  - Defined in C:/dev/iterable-query/node_modules/typescript/lib/lib.es2015.iterable.d.ts:43

  #### Returns Iterator<T>

Generated using TypeDoc